Página 1 de 2 12 ÚltimoÚltimo
+ Responder ao Tópico



  1. #1

    Padrão prob p instalar snort

    pessoal estou tentando aprender a usar o snort, estou seguindo esse arkivo:
    https://under-linux.org/modules.php?...ticle&sid=4425

    mas qdo eu vo configurar com a opção enable-flexresp primero ele reclamava do libnet 1.02 ai eu baxei uma mais atualizada ai instalei mas qdo fui instala-lo ele retorna essa msg:

    **********************************************
    ERROR: unable to find libnet 1.0.2a (libnet.h)
    checked in the following places
    **********************************************
    baxei a 1.02a e instalei mas mesmo assim continua dando esse erro.

    o snort q eu to tentando instalar eh o 2.3.3 em um slack 10.1 kernel 2.4.26

    axo q essas informações bastam neh?
    valeu ai glr t+ abs
    :toim: :toim: :toim:

  2. #2

    Padrão prob p instalar snort

    ninguem nunca teve esse erro? :cry: :cry: :cry:



  3. #3
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão prob p instalar snort

    Ele trabalha com a 1.0.2a, se for uma versao mais atualizada usa a antiga.
    Depois de instalada voce tem que dar um update nas libraries, 'ldconfig'.
    Da uma olhada se elas estao em ld.so.conf e depois roda o ldconfig.

    De qualquer forma nao era pra continuar com o erro com a library instalada.
    Tenta denovo e cola todos os erros pra gente.

    Da pra jogar na mao na hora de compilar mas nao eh necessario:
    export LDFLAGS="-L/usr/lib"
    export CPPFLAGS="-I/usr/include"

    ;]

  4. #4

    Padrão prob p instalar snort

    po foi malz a demora...
    eu removi a lib mais nova e fui reinstalar essa 1.02a agora na hr do make tah dando esse erro:

    # make
    gcc -O2 -funroll-loops -fomit-frame-pointer -Wall -DHAVE_CONFIG_H -c src/libnet_resolve.c -o src/libnet_resolve.o
    In file included from src/libnet_resolve.c:36:
    include/libnet.h:87:8: missing terminating " character
    include/libnet.h:89:50: missing terminating " character
    make: ** [src/libnet_resolve.o] Erro 1

    qdo eu entro na pasta dele o makefile tah lah...
    entaum fui ler o README dele e simplesmente diz... use
    ./configure
    make e make install :toim: :toim: :toim:

    mas naum passo do make com esse...alguem sabe como soluciono?

    vlw mesmo glr a ajuda



  5. #5

    Padrão prob p instalar snort

    glr...alguema ai manja como resolve?

    e tb gostaria de saber o param,etro durante o configure o

    -enable-flexresp

    pra q serve?
    :toim: :toim:

    vlw pessoal t+ abs

  6. #6
    Mr_Mind
    Visitante

    Padrão prob p instalar snort

    consoante a tua distro: apt-get install snort ou yum install snort, etc...

    a questão das dependências acontece quando compilas algo a partir da source, o que nunca te procura por binários (salvo raras excepções) mas sim librarias de desenvolvimento de determinada aplicação, e estando as librarias indisponíveis, ele simplesmente diz que não existe. dá uma vista de olhos no config.log para saberes exactamente porque falhou!

    no que toca a erros de compilação, muitas vezes se devem ou a versões incompatíveis entre a aplicação e dependências ou então (isto mais vulgar nas versões de desenvolvimento CVS/SVN/etc) são erros que só procurando no fórum da aplicação propriamente dita, poderás ser esclarecido.